# Package edu.isi.pegasus.common.credential

Interface Summary
CredentialHandler: The credential interface that defines the credentials that can be associated with jobs.

Class Summary
CredentialHandlerFactory: A factory class to load the appropriate type of Condor Style impelementations.

Enum Summary
CredentialHandler.TYPE: An enumeration of valid types of credentials that are supported.

Exception Summary
CredentialHandlerFactoryException: Class to notify of failures while instantiating Condor Style implementations.